package betterwithmods.client.container.other;

import betterwithmods.BWMod;
import betterwithmods.common.blocks.tile.TileEntityInfernalEnchanter;
import net.minecraft.client.gui.FontRenderer;
import net.minecraft.client.gui.inventory.GuiContainer;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.client.resources.I18n;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.EnchantmentNameParts;
import net.minecraft.util.ResourceLocation;
import org.lwjgl.opengl.GL11;

/**
 * Created by tyler on 9/11/16.
 */
public class GuiInfernalEnchanter extends GuiContainer {
    private FontRenderer fontGalactic;
    private TileEntityInfernalEnchanter tile;
    private ContainerInfernalEnchanter container;
    private EntityPlayer player;

    public GuiInfernalEnchanter(EntityPlayer player, TileEntityInfernalEnchanter tile) {
        super(new ContainerInfernalEnchanter(player, tile));
        this.container = (ContainerInfernalEnchanter) field_147002_h;
        this.player = player;
        this.tile = tile;
        field_147000_g = 211;
    }

    @Override
    public void func_73863_a(int mouseX, int mouseY, float partialTicks) {
        super.func_73863_a(mouseX, mouseY, partialTicks);
        if(fontGalactic == null)
            fontGalactic = this.field_146297_k.field_71464_q;
        this.func_191948_b(mouseX, mouseY);
    }

    @Override
    protected void func_146976_a(float partialTicks, int mouseX, int mouseY) {
        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
        this.field_146297_k.field_71446_o.func_110577_a(new ResourceLocation(BWMod.MODID, "textures/gui/infernal_enchanter.png"));

        int xPos = (this.field_146294_l - this.field_146999_f) / 2;
        int yPos = (this.field_146295_m - this.field_147000_g) / 2;
        func_73729_b(xPos, yPos, 0, 0, this.field_146999_f, this.field_147000_g);
        if (!field_147002_h.func_75139_a(0).func_75216_d())
            func_73729_b(xPos + 17, yPos + 37, 176, 0, 16, 16);
        if (!field_147002_h.func_75139_a(1).func_75216_d())
            func_73729_b(xPos + 17, yPos + 75, 192, 0, 16, 16);
        EnchantmentNameParts.func_178176_a().func_148335_a((long) this.container.xpSeed);

        int y;
        for (int i = 0; i < container.enchantLevels.length; i++) {
            this.field_146297_k.field_71446_o.func_110577_a(new ResourceLocation(BWMod.MODID, "textures/gui/infernal_enchanter.png"));
            GlStateManager.func_179131_c(1.0F, 1.0F, 1.0F, 1.0F);
            int val = container.enchantLevels[i];

            if (val != 0) {
                int color = 0x407F10;
                String s = String.valueOf(val);
                if (player.field_71075_bZ.field_75098_d || player.field_71068_ca >= val) {
                    y = yPos + 17 + (19 * i);
                    func_73729_b(xPos + 60, y, 0, 211, 108, 19);
                    color = 0x80FF20;
                    String s1 = EnchantmentNameParts.func_178176_a().func_148334_a(this.field_146289_q, 86 - this.field_146289_q.func_78256_a(s));
                    fontGalactic.func_78279_b(s1, xPos + 62, yPos + 19 + 19 * i, 108, (6839882 & 16711422) >> 1);
                }
                field_146289_q.func_175063_a(s, xPos + field_146999_f - 10 - this.field_146289_q.func_78256_a(s), yPos + 8 + 19 * (i + 1), color);
            }
        }
//        for (int i = 0; i < container.enchantLevels.length; i++) {
//            int val = container.enchantLevels[i];
//            if (val != 0) {
//                int color = 0x407F10;
//                if (mc.player.capabilities.isCreativeMode || mc.player.experienceLevel >= val) {
//                    int y = yPos + 17 + (19 * i);
//                    drawTexturedModalRect(xPos + 60, y, 0, 211, 108, 19);
//                    color = 0x80FF20;
//                }
//                String s = String.valueOf(val);
//                this.fontRenderer.drawStringWithShadow(s, xPos + xSize - 10 - this.fontRenderer.getStringWidth(s), yPos + 8 + 19 * (i + 1), color);
//                FontRenderer fontrenderer = this.mc.standardGalacticFontRenderer;
//                String s1 = EnchantmentNameParts.getInstance().generateNewRandomName(this.fontRenderer, 86 - this.fontRenderer.getStringWidth(s));
//                fontrenderer.drawSplitString(s1, xPos + 62, yPos + 19 + 19 * i, 108, (6839882 & 16711422) >> 1);
//            }
//        }
    }


    @Override
    protected void func_146979_b(int mouseX, int mouseY) {
        String s = I18n.func_135052_a(tile.getName());
        this.field_146289_q.func_78276_b(s, this.field_146999_f / 2 - this.field_146289_q.func_78256_a(s) / 2, 6, 0x404040);
        s = "I";
        this.field_146289_q.func_78276_b(s, 50 - this.field_146289_q.func_78256_a(s) / 2, 22, 0x404040);
        s = "II";
        this.field_146289_q.func_78276_b(s, 50 - this.field_146289_q.func_78256_a(s) / 2, 41, 0x404040);
        s = "III";
        this.field_146289_q.func_78276_b(s, 50 - this.field_146289_q.func_78256_a(s) / 2, 60, 0x404040);
        s = "IV";
        this.field_146289_q.func_78276_b(s, 50 - this.field_146289_q.func_78256_a(s) / 2, 79, 0x404040);
        s = "V";
        this.field_146289_q.func_78276_b(s, 50 - this.field_146289_q.func_78256_a(s) / 2, 98, 0x404040);


    }
}

